<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hotent.portal.persistence.dao.MenuBookmarkDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hotent.portal.model.MenuBookmark">
        <id column="ID_" property="id" />
        <result column="ALIAS_" property="alias" />
        <result column="MENU_ID_" property="menuId" />
        <result column="PARENT_MENU_ID_" property="parentMenuId" />
        <result column="HREF_" property="href" />
        <result column="NAME_" property="name" />
        <result column="USER_ID_" property="userId" />
        <result column="TENANT_ID_" property="tenantId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID_, ALIAS_, MENU_ID_, PARENT_MENU_ID_, HREF_, NAME_, USER_ID_, TENANT_ID_
    </sql>

</mapper>
